Summary: 	The Red Hat BIND DNS Configuration Tool.
Name: 		system-config-bind
Version: 	4.0.0
Release: 	16_FC4
License: 	GPL
Group: 		Applications/System
URL: 		http://people.redhat.com/~jvdias/system-config-bind
Source0: 	%{name}-%{version}-%{release}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: 	noarch
BuildRequires:  python, gettext, make
Requires: 	python >= 2.2
Requires: 	pygtk2, gnome-python2, pygtk2-libglade, gnome-python2-canvas
Requires: 	bind, bind-utils
Obsoletes: 	redhat-config-bind
Obsoletes: 	bindconf

%define debug_package %{nil}

%description
The system-config-bind package provides a graphical user interface (GUI) to
configure the Berkeley Internet Name Domain (BIND) Domain Name System (DNS)
server, "named", with a set of python modules.
Users new to BIND configuration can use this tool to quickly set up a working
DNS server.

%prep
%setup -q

%build
rm -rf $RPM_BUILD_ROOT
make 

%install
make install      ROOT=%{buildroot}
%find_lang %{name} || touch %{name}.lang;

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,named,-)
/usr/share/system-config-bind
/usr/sbin/system-config-bind
/usr/sbin/system-config-bind-gui
/usr/bin/system-config-bind
/usr/bin/bindconf
%attr(644,root,named) /usr/share/applications/system-config-bind.desktop
%attr(644,root,named) /usr/share/icons/hicolor/48x48/apps/system-config-bind.png
%attr(644,root,named) /etc/security/console.apps/system-config-bind
%attr(644,root,named) /etc/security/console.apps/bindconf
%attr(644,root,named) /etc/pam.d/bindconf
%attr(644,root,named) /etc/pam.d/system-config-bind
%doc scb_manual.pdf

%post
if [ "$1" = "1" ]; then
   if [ -f /etc/pam.d/bindconf ] && [ -f /etc/pam.d/system-config-bind ] && [ ! -L /etc/pam.d/bindconf ]; then
      /bin/rm -f /etc/pam.d/bindconf;
      /bin/ln -s /etc/pam.d/system-config-bind /etc/pam.d/bindconf;
   fi
   if [ -f /etc/security/console.apps/bindconf ] && [ -f /etc/security/console.apps/system-config-bind ] && [ ! -L /etc/security/console.apps/bindconf ]; then
      /bin/rm -f /etc/security/console.apps/bindconf;
      /bin/ln -s /etc/security/console.apps/system-config-bind /etc/security/console.apps/bindconf;
   fi
   /bin/touch --no-create %{_datadir}/icons/hicolor
   if [ -x /usr/bin/gtk-update-icon-cache ]; then
      /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor
   fi
fi

%postun
if [ "$1" -eq 0 ]; then
   /bin/touch --no-create %{_datadir}/icons/hicolor
   if [ -x /usr/bin/gtk-update-icon-cache ]; then
  	/usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor
   fi;
fi;

%changelog
* Mon May 08 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-16_FC4
- fix bug 157207:  allow build to succeed if bind package is not installed

* Thu May 05 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-16
- fix out-of-zone data reporting
- out-of-zone string comparison should be case-insensitive
- fix bug 156913: wrong file permissions for config files

* Wed May 04 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-12
- fix bug 156884: handle named.conf with NO options clause .

* Wed Apr 27 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-10
- Add User Guide & Manual in /usr/share/doc/system-config-bind-%{version}

* Wed Apr 27 2005 Miloslav Trmac <mitr@redhat.com> - 4.0.0-9
- Remove dependency on 4Suite (#155113)

* Wed Apr 27 2005 Jeremy Katz <katzj@redhat.com> - 4.0.0-8
- silence %%post

* Mon Apr 04 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-7
- fix bug 153035: gtk.FALSE/TRUE deprecation warnings

* Mon Mar 28 2005 Christopher Aillon <caillon@redhat.com>
- added .spec file icon cache update

* Tue Mar 08 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-4
- fix bug 150011
- Add DNSsec capabilities.

* Sun Feb 01 2005 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-3
- fix bugs 146475, 146606, 143780
 
* Fri Dec 17 2004 Jason Vas Dias <jvdias@redhat.com> - 4.0.0-1
- Initial build.

